<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>The JOnAS MBeans</title>
  </info>

  <para>JOnAS administration is based on the standard MBeans defined by the
  J2EE Management Specification, and on more MBeans provided by JOnAS itself
  and by components integrated integrated in JOnAS: Tomcat/Jetty server, JORAM
  platform, JMX Server, etc.</para>

  <section>
    <title>Standard MBean</title>

    <para>All the MBeans defined by the J2EE Management Specification are
    provided by JOnAS. These MBeans respect the naming conventions and are
    registered in the JMX server embeded in any JOnAS instance.</para>

    <section>
      <title>J2EEServer</title>

      <para>The J2EEServer MBean provides attributes and methods for the
      server management. For example, it supports resource and application
      deployment. It also provides server configuration and monitoring
      information.</para>
    </section>

    <section>
      <title>J2EEDomain</title>

      <para>The J2EEDomain MBean provides domain management operation support.
      Most of the exposed operations are usefull only in the case of a master
      instance.</para>
    </section>
  </section>

  <section>
    <title>Other MBeans MBeans</title>

    <para>Proprietary MBeans are registered by JOnAS and by the integrated
    components in order to allow management of services or specific
    resources.</para>
  </section>
</section>
